## Runs the core game loop
## Other looping functions are executed off of this one, ideally with conditionals

# These run all the time
execute as @a[tag=!firstSpawned] run function votk:core/first_joined

# Gamestate-conditional loops
execute if score gameState timer matches 0 run function votk:core/lobby_active
execute if score gameState timer matches 2 run function votk:core/game_active

# Run slowcount-based stuff
scoreboard players add slowcount timer 1
execute if score slowcount timer matches 20.. run function votk:core/slowcount

# Detect leave_game instances
execute as @a[scores={leaveGame=1..}] run function votk:core/left_game

# Debug AEC-finder
#execute at @e[type=area_effect_cloud] run particle minecraft:angry_villager ~ ~ ~