# Replace the player inventory
# Run on the player when newInv is needed
# Replaces newinv_tag_control

# Out with the old
clear @s

# Stuff for both teams
replaceitem entity @s inventory.18 arrow{display:{Name:'{"text":"Obligatory Arrow"}',Lore:['{"text":"Because infinity still"}','{"text":"requires an arrow."}']}}
replaceitem entity @s hotbar.0 iron_sword{display:{Name:'{"text":"Ancient Sword"}',Lore:['{"text":"Somewhat surprising that this hasn\'t"}','{"text":"rusted after thousands of years."}']},HideFlags:63,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:30,Operation:0,UUID:[I;-913463542,623069551,-1956802525,149181741],Slot:"mainhand"}],Unbreakable:1b}
replaceitem entity @s hotbar.1 bow{display:{Name:'{"text":"Ancient Bow"}',Lore:['{"text":"Wood preserves excellently in the desert."}']},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:power",lvl:10s},{id:"minecraft:infinity",lvl:1s}]}
replaceitem entity @s hotbar.8 potion{display:{Name:'{"text":"Death Potion"}',Lore:['{"text":"For quick respawns!"}']},HideFlags:63,CustomPotionColor:0}

# Stuff for the Egyptians
replaceitem entity @s[team=Egyptians] armor.feet leather_boots{display:{Name:'{"text":"Egyptian Sandals"}',Lore:['{"text":"Simple leather sandals."}'],color:255},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Egyptians] armor.legs leather_leggings{display:{Name:'{"text":"Egyptian Skirt"}',Lore:['{"text":"Loose linen, for use in the desert."}'],color:255},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Egyptians] armor.chest leather_chestplate{display:{Name:'{"text":"Egyptian Tunic"}',Lore:['{"text":"Loose linen, for use in the desert."}'],color:255},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Egyptians] armor.head leather_helmet{display:{Name:'{"text":"Egyptian Wig"}',Lore:['{"text":"Made from horse hair."}'],color:255},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Egyptians] weapon.offhand shield{display:{Name:'{"text":"Egyptian Shield"}',Lore:['{"text":"It bears your banner."}']},HideFlags:63,Unbreakable:1b,BlockEntityTag:{Base:1,Patterns:[{Color:4,Pattern:"bri"},{Color:11,Pattern:"ld"},{Color:11,Pattern:"rud"},{Color:4,Pattern:"flo"},{Color:4,Pattern:"mc"},{Color:4,Pattern:"mc"}]}}

# Stuff for the Archaeologists
replaceitem entity @s[team=Archaeologists] armor.feet leather_boots{display:{Name:'{"text":"Archaologist Boots"}',Lore:['{"text":"High boots, for keeping out the sand."}'],color:16711680},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Archaeologists] armor.legs leather_leggings{display:{Name:'{"text":"Archaeologist Shorts"}',Lore:['{"text":"They\'re comfortable and easy to wear!"}'],color:16711680},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Archaeologists] armor.chest leather_chestplate{display:{Name:'{"text":"Archaeologist Shirt"}',Lore:['{"text":"Comfortable in the heat."}'],color:16711680},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Archaeologists] armor.head leather_helmet{display:{Name:'{"text":"Archaeologist Fedora"}',Lore:['{"text":"Used to protect against sunlight."}'],color:16711680},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
replaceitem entity @s[team=Archaeologists] weapon.offhand shield{display:{Name:'{"text":"Archaeologist Shield"}',Lore:['{"text":"It bears your banner."}']},HideFlags:63,Unbreakable:1b,BlockEntityTag:{Base:0,Patterns:[{Color:0,Pattern:"cs"},{Color:14,Pattern:"ld"},{Color:14,Pattern:"rud"},{Color:0,Pattern:"ms"},{Color:14,Pattern:"sku"},{Color:14,Pattern:"cbo"},{Color:14,Pattern:"br"},{Color:14,Pattern:"bl"}]}}

# Stuff for the banner-holders
replaceitem entity @s[tag=hasBlueFlag] armor.head orange_banner{display:{Name:'{"text":"Egyptian Flag"}',Lore:['{"text":"Get it back to your base!"}']},HideFlags:63,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}],BlockEntityTag:{Patterns:[{Color:4,Pattern:"bri"},{Color:11,Pattern:"ld"},{Color:11,Pattern:"rud"},{Color:4,Pattern:"flo"},{Color:4,Pattern:"mc"},{Color:4,Pattern:"mc"}]}}
replaceitem entity @s[tag=hasRedFlag] armor.head orange_banner{display:{Name:'{"text":"Archaeologist Flag"}',Lore:['{"text":"Get it back to your base!"}']},HideFlags:63,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}],BlockEntityTag:{Patterns:[{Color:0,Pattern:"cs"},{Color:14,Pattern:"ld"},{Color:14,Pattern:"rud"},{Color:0,Pattern:"ms"},{Color:14,Pattern:"sku"},{Color:14,Pattern:"cbo"},{Color:14,Pattern:"br"},{Color:14,Pattern:"bl"}]}}

# The Elytra
replaceitem entity @s[tag=hasElytra] armor.chest elytra{display:{Name:'{"text":"Scarab Elytra"}',Lore:['{"text":"These beetle wings are very fragile."}','{"text":"They can only be used once."}']},HideFlags:63,Damage:418,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}

# In the unlikely event that this is run while the lobby is active, undo everything
execute if score gameState timer matches 0 run clear @s

# This used to be used to clear items in the lobby, but this is no longer looped anyway.
#clear @a[x=220,y=203,z=-1,r=10,m=2]