## Handles respawns
# Run on players with a death score of 1 or higher

# Reset death scoreboard
scoreboard players reset @s Deaths
scoreboard players reset @s drinkPotion

# Title prep in case of flag loss
#title @a times 5 15 5

# If they have the blue flag
execute if entity @s[tag=hasBlueFlag] run summon armor_stand ~ ~-1.75 ~ {NoGravity:1b,Invulnerable:1b,Invisible:1b,Tags:["blueFlag"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:orange_banner",Count:1b,tag:{BlockEntityTag:{Patterns:[{Color:4,Pattern:"bri"},{Color:11,Pattern:"ld"},{Color:11,Pattern:"rud"},{Color:4,Pattern:"flo"},{Color:4,Pattern:"mc"},{Color:4,Pattern:"mc"}]}}}]}
execute if entity @s[tag=hasBlueFlag] run tellraw @a {"text":"The Egyptian flag has been dropped!","color":"blue"}
#execute if entity @s[tag=hasBlueFlag] run title @a actionbar {"color":"blue","text":"Egyptian flag dropped!","bold":"true"}
execute if entity @s[tag=hasBlueFlag] as @a at @a run playsound minecraft:entity.villager.ambient master @p ~ ~ ~ 5 0
clear @s blue_banner
tag @s remove hasBlueFlag

# If they have the red flag
execute if entity @s[tag=hasRedFlag] run summon armor_stand ~ ~-1.75 ~ {NoGravity:1b,Invulnerable:1b,Invisible:1b,Tags:["redFlag"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_banner",Count:1b,tag:{BlockEntityTag:{Patterns:[{Color:0,Pattern:"cs"},{Color:14,Pattern:"ld"},{Color:14,Pattern:"rud"},{Color:0,Pattern:"ms"},{Color:14,Pattern:"sku"},{Color:14,Pattern:"cbo"},{Color:14,Pattern:"br"},{Color:14,Pattern:"bl"}]}}}]}
execute if entity @s[tag=hasRedFlag] run tellraw @a {"text":"The Archaeologists' flag has been dropped!","color":"red"}
#execute if entity @s[tag=hasRedFlag] run title @a actionbar {"color":"red","text":"Archaeologist flag dropped!","bold":"true"}
execute if entity @s[tag=hasRedFlag] as @a at @a run playsound minecraft:entity.villager.ambient master @p ~ ~ ~ 5 0
clear @s white_banner
tag @s remove hasRedFlag
# Break elytra if needed
execute if entity @s[tag=hasElytra] run function votk:elytra/break_elytra

# Give the player the respawn tag so respawn function will run on them
tag @s add respawn

scoreboard players set @s flagCooldown 60

# Set their respawn point in case they did something silly like click on a bed
# During the game
execute if score gameState timer matches 2 run spawnpoint @s[team=!Egyptians,team=!Archaeologists] 220 204 -1
execute if score gameState timer matches 2 run spawnpoint @s[team=Egyptians] 177 142 194
execute if score gameState timer matches 2 run spawnpoint @s[team=Archaeologists] 179 142 -182

# At other times
execute if score gameState timer matches 0..1 run spawnpoint @s 220 204 -1