## Initialize the prep process
# Runs when the game is *officially* starting

# Stop sounds
stopsound @a voice

# Change gameState to "prep"
scoreboard players set gameState timer 1

# Swap out the signs
clone 219 203 -19 221 203 -19 219 207 -21
clone 219 203 -18 219 203 -18 216 206 -1
clone 221 203 -18 221 203 -18 224 206 -1
clone 220 203 -18 220 203 -18 220 207 20

# Close the Elytra gates
fill 176 141 204 178 143 204 oak_fence
fill 179 138 -171 180 140 -171 oak_fence

# Run the team randomization if needed
execute as @r[team=Lobby] run function votk:teams/team_randomize

# next run the pre-game countdown
title @a times 0 20 10
scoreboard players set secondsLeft timer 5

# Update the gameCounter
scoreboard players add gameCounter timer 1
scoreboard players operation @a gameCounter = gameCounter timer

# No need to manually run startGame here, the pre-game countdown handles it.


# Other stuff from the original that isn't yet implemented
#execute @e[tag=lockGameLength] ~ ~ ~ summon area_effect_cloud ~ ~ ~ {Tags:["delayImp"],Age:-2}
#execute @e[tag=refreshAITags] ~ ~ ~ summon area_effect_cloud ~ ~ ~ {Tags:["delayImp"],Age:-2}