## Actually for real start the game
# Runs at the end of the pregame countdown

# Change gameState to "active"
scoreboard players set gameState timer 2

# Reset the capture scoreboards
scoreboard players reset * Captures
scoreboard players reset * Captures2
scoreboard players set Archaeologists Captures 0
scoreboard players set Egyptians Captures 0
scoreboard players set Captures2 0
scoreboard objectives add resEffCountdown dummy

# Display the scoreboard
scoreboard objectives setdisplay sidebar Captures

# Reset the flag positions
# Realistically this will be done at game end instead of start, but let's do it again just to make sure
kill @e[tag=blueFlag]
kill @e[tag=redFlag]
execute at @e[type=area_effect_cloud,tag=blueBase] run summon armor_stand ~ ~-1.75 ~ {NoGravity:1b,Invulnerable:1b,Invisible:1b,Tags:["blueFlag"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:orange_banner",Count:1b,tag:{BlockEntityTag:{Patterns:[{Color:4,Pattern:"bri"},{Color:11,Pattern:"ld"},{Color:11,Pattern:"rud"},{Color:4,Pattern:"flo"},{Color:4,Pattern:"mc"},{Color:4,Pattern:"mc"}]}}}]}
execute at @e[type=area_effect_cloud,tag=redBase] run summon armor_stand ~ ~-1.75 ~ {NoGravity:1b,Invulnerable:1b,Invisible:1b,Tags:["redFlag"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_banner",Count:1b,tag:{BlockEntityTag:{Patterns:[{Color:0,Pattern:"cs"},{Color:14,Pattern:"ld"},{Color:14,Pattern:"rud"},{Color:0,Pattern:"ms"},{Color:14,Pattern:"sku"},{Color:14,Pattern:"cbo"},{Color:14,Pattern:"br"},{Color:14,Pattern:"bl"}]}}}]}
tag @a remove hasBlueFlag
tag @a remove hasRedFlag

# Deal with the spectators
# There should be nobody left in the lobby team, but have this just in case someone tries to join during countdown
team join Spectators @a[team=Lobby]
gamemode spectator @a[team=Spectators]

# TP the players
tp @a[team=Egyptians] 177 142 194 0 0
tp @a[team=Archaeologists] 179 142 -182 0 0

# Set spawnpoints
spawnpoint @a[team=Egyptians] 177 142 194
spawnpoint @a[team=Archaeologists] 179 142 -182

# Give initial player effects
effect give @a resistance 5 5 true
effect give @a speed 10 5 true

# Swap from lobby effects to gameplay effects
effect clear @a resistance
effect clear @a weakness
scoreboard players set @a resEffCountdown 10

# Set secondsLeft based on minutesInGame
scoreboard players operation secondsLeft timer = minutesInGame timer
scoreboard players operation secondsLeft timer *= 60 constants

# Add run the first game_countdown manually to get the display working
function votk:progress/game_countdown

# Set difficulty (Probably not needed, but hey, it was in the original, so why not)
difficulty hard

# Give all players a new inventory
execute as @a run function votk:core/new_inv

# Clear the subtitle
title @a subtitle {"text":""}

# Sound
execute as @a at @s run playsound entity.player.levelup master @s

# Update the gameCounter
scoreboard players add gameCounter timer 1
scoreboard players operation @a gameCounter = gameCounter timer

# Summon the elytra
function votk:elytra/spawn_elytra

# Prepare the AIs
execute as @e[tag=AIspawnpoint] if score @s AIspawnNumber <= AIcount timer run scoreboard players set @s AIrespawn 51

# Leftover from the original
#/scoreboard players set @e[type=area_effect_cloud,score_AIspawnNumber=5] AIrespawn 549